//  constands and declarations fot bogofilter

typedef struct 
{
    char *name;			// resource name (for debug/verbose messages)
    void *list;			// the Judy array
    unsigned long msgcount;	// count of messages in wordlist.
    char *file;			// associated file
}
wordlist_t;

extern void read_list(char *file, wordlist_t *list);
extern void write_list(wordlist_t *good_list);
extern void register_words(int fd, wordlist_t *list);
extern int get_token(void);
extern void lexer_stream_mode(void);
extern int bogofilter(int fd);

extern wordlist_t good_list, bad_list;
extern int verbose;

// discard tokens longer than this, so as not to clutter up our
// wordlists with a lot of MIME-enclosure cruft.
#define MAXWORDLEN	20

// lexer interface
#define TOKEN	1	// Ordinary token
#define FROM	2	// Mail message delimiter
extern FILE	*yyin;
extern char *yytext;

// end
